Bug 1757602 - Request to package borgbackup for EPEL 8
Summary: Request to package borgbackup for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: borgbackup
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1757612 1757614
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-01 20:47 UTC by tr+redhat
Modified: 2019-10-20 22:48 UTC (History)
3 users (show)

Fixed In Version: borgbackup-1.1.10-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-20 22:48:33 UTC


Attachments (Terms of Use)

Description tr+redhat 2019-10-01 20:47:01 UTC
Hello, I want to kindly request the packaging of borgbackup into EPEL 8.

Comment 1 Felix Schwarz 2019-10-01 20:58:39 UTC
repo requested

Comment 2 Felix Schwarz 2019-10-01 21:26:05 UTC
Unfortunately I can not yet provide borgbackup because most dependencies have not been built for EPEL8 yet:
- python-llfuse: bug 1757612
- python3-funcsigs: not packaged in EPEL8 but I'm wondering why we have this dependency at all
- libb2-devel: bug 1757614

Comment 3 Felix Schwarz 2019-10-01 21:35:26 UTC
wow, I'm stupid: python3-funcsigs is required for the bundled "msgpack" because borg 1.1 can not handle msgpack > 0.5.6. Ideally we could ship borgbackup 1.2.0 in EPEL8 (then we could just use a newer msgpack which does not need "funcsigs").

I'll wait a bit to see what happens with the other bugs.

Comment 4 Felix Schwarz 2019-10-13 12:05:02 UTC
quick update: python3-llfuse and libb2 are now in EPEL8. I think we can just remove "python3-funcsigs" from build requires: tests pass without installing it, no reference in the source code (probably cargo-culting from python-msgpack when I did all the bundling work for F30?). I'll try to push an updated package early next week.

Comment 5 Fedora Update System 2019-10-15 09:17:40 UTC
FEDORA-EPEL-2019-8824b61704 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8824b61704

Comment 6 Felix Schwarz 2019-10-15 20:48:41 UTC
Please note that these updates must be stable before this update can be pushed to stable:
- libb2 / FEDORA-EPEL-2019-963d6e0b67 ( https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-963d6e0b67 )
- python-llfuse / FEDORA-EPEL-2019-bbb960ae3b ( https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bbb960ae3b )

Comment 7 Fedora Update System 2019-10-15 23:57:52 UTC
borgbackup-1.1.10-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8824b61704

Comment 8 Fedora Update System 2019-10-20 22:48:33 UTC
borgbackup-1.1.10-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.